class Oxen::PrintJobsController < AbstractResourcesController
  private
    # Never trust parameters from the scary internet, only allow the white list through.
    # "printer"=>{"name"=>"Label", "cups_printer"=>"havehuset_label", "command"=>"lp %2 %3", "paper"=>"A4", "active"=>"1"}}
    def resource_params
      params[:print_job][:account_id] = current_user.admin? ? params[:parent_id] : current_user.account.id
      params.require(:print_job).permit(:account_id, :printer_id, :printed_by_id, :printed_by_type, :view_template_path, :name, :printing_class, :print_driver, :print_format, :state, :paper, :copies, :print_sql)
    end

end
