class OxTemplate < AbstractResource
  self.table_name = 'templates'
  establish_connection ((Rails.env=="development") ? :dev_oxen_tables : :oxen_tables )

  has_many :photos, foreign_key: 'template_id'

  has_paper_trail

  validates :template_key, presence: true
  validates :template_path, presence: true

  def list_title
    template_key
  end

  def name
    template_key
  end

end
