class CreatePrintables < ActiveRecord::Migration
  def change
    create_table :printables do |t|
      t.references :account, null: false, index: true
      t.references :printer, index: true
      t.references :printable, polymorphic: true, index: true
      t.string :template
      t.boolean :preferred

      t.timestamps
    end
  end
end
