class OxPrintable < AbstractResource
  self.table_name = 'printables'
  establish_connection ((Rails.env=="development") ? :dev_oxen_tables : :oxen_tables )

  has_paper_trail

  belongs_to :account
  belongs_to :printer
  belongs_to :printable, polymorphic: true

  before_save :set_account

  def set_account
    self.account = printer.account
  end

end
