class OxPrintserver < AbstractResource
  self.table_name = 'printservers'
  establish_connection ((Rails.env=="development") ? :dev_oxen_tables : :oxen_tables )

  has_paper_trail

  belongs_to :account
  has_many :printers, dependent: :destroy

  validates :mac_addr, presence: true
  validates :port, presence: true

  scope :active, -> { where(active: true) }

  def list_title
    location
  end



end
