class CreatePrintJobs < ActiveRecord::Migration
  def change
    create_table :print_jobs do |t|
      t.references :account, null: false, index: true
      t.references :printer, index: true
      t.integer :printed_by_id
      t.string :printed_by_type
      t.string :view_template_path
      t.string :name
      t.string :printing_class
      t.string :print_driver
      t.string :print_format
      t.string :state
      t.string :paper
      t.integer :copies
      t.text :print_sql

      t.timestamps
    end
  end
end
